import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import 'antd/dist/antd.min.css';
import reportWebVitals from './reportWebVitals';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import DatasourceView from './module/datasource/page/DatasourceView.jsx'
import SyncTaskAdd from './module/datasource/component/SyncTaskAdd.jsx'
import LogWatcher from './module/datasource/component/LogWatcher.jsx'

const root = ReactDOM.createRoot(document.getElementById('root'));

root.render(
  <BrowserRouter>
    <Routes>
      <Route path="/" element={<DatasourceView />} />
      <Route path="sync" element={<SyncTaskAdd />} />
      <Route path="log" element={<LogWatcher />} />
    </Routes>
  </BrowserRouter>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
