import React, { useEffect, useRef, useState, useImperativeHandle } from 'react'
import { Table } from 'antd'
import styled from 'styled-components'
import JsonEditor from './utils/JsonEditor'

const DataTable = styled.div`
  .table-style {
    .ant-table-thead {
      > tr {
        > th {
          background: #e3eefd !important;
        }
      }
    }
  }
`

export default function DataTableStruct({ currentStep, tableData, datax, onRef }) {
  const [jsonData, setjsonData] = useState(null)
  const jsonValue = useRef()

  useImperativeHandle(onRef, () => {
    return {
      jsonValue: jsonValue.current ? jsonValue.current.jsonValue : {},
    }
  })

  const columns = [
    {
      title: '序号',
      dataIndex: 'id',
      key: 'id',
    },
    {
      title: '字段',
      dataIndex: 'field',
      key: 'field',
    },
    {
      title: '类型',
      dataIndex: 'type',
      key: 'type',
    },
  ]

  const changeJson = value => {
    console.log(value)
    setjsonData(value)
  }

  useEffect(() => {
    setjsonData(datax)
  }, [datax])

  let content = (
    <Table columns={columns} dataSource={tableData} className={'table-style'} />
  )
  if (currentStep === 3) {
    content = <JsonEditor code={JSON.stringify(datax)} onRef={jsonValue}/>
  }

  return <DataTable>{content}</DataTable>
}
