import React, { useEffect, useImperativeHandle, useRef, useState } from "react";
import CodeMirror from '@uiw/react-codemirror';
import 'codemirror/keymap/sublime';
import 'codemirror/theme/monokai.css';


export default function JsonEditor({code, onRef}) {
  const jsonEditor = useRef()
  useImperativeHandle(onRef, () => {
    return {
      jsonValue: jsonEditor.current,
    }
  })
  return (
    <CodeMirror
      ref={(editor) => jsonEditor.current = editor}
      value={JSON.stringify(JSON.parse(code),null,2)}
      options={{
        theme: 'monokai',
        keyMap: 'sublime',
        mode: 'json',
      }}
      // onChange={changeValue}
    />
  );
}