import { Tabs, Button } from 'antd'
import DataSourceManage from '../component/DatasourceManage.jsx'
import DatasourceAdd from '../component/DatasourceAdd'
import DatasourceSyncView from '../component/DatasourceSyncView'
import DatasourceLog from '../component/DatasourceLog'
import React, { useState } from 'react'
import { Link } from 'react-router-dom'
import styled from 'styled-components'
const { TabPane } = Tabs

const Datasource = styled.div`
  padding: 20px;
`

export default function DatasourceView() {
  // 数据源管理ref
  const sourceRef = React.createRef()
  // 更新数据源列表
  const updateDataSource = () => {
    sourceRef.current.updateSourceList()
  }
  // 当前所处页面
  const [currentKey, setCurrentKey] = useState('1')
  // Tab标签右边按钮
  const tabExtraBtn = () => {
    switch (currentKey) {
      case '1':
        return <DatasourceAdd updateDataSource={updateDataSource} />
      case '2':
        return (
          <Link to="/sync">
            <Button type="primary">添加同步任务</Button>
          </Link>
        )
      default:
        return <></>
    }
  }
  return (
    <Datasource>
      {/* Tab栏及内容 */}
      <Tabs
        type="card"
        tabBarExtraContent={tabExtraBtn()}
        onChange={key => setCurrentKey(key)}>
        <TabPane tab="数据源管理" key="1">
          <DataSourceManage onRef={sourceRef} />
        </TabPane>
        <TabPane tab="同步配置" key="2">
          <DatasourceSyncView />
        </TabPane>
        <TabPane tab="日志管理" key="3">
          <DatasourceLog />
        </TabPane>
      </Tabs>
    </Datasource>
  )
}
